Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I'm setting up a VPS with DirectAdmin on CentOS 6.5 for the hosting of WordPress sites and normal websites.

Which of the below are needed/sufficient for a safe vps?

  • CSF firewall
  • suPHP
  • MOD_SECURITY
  • mod_evasive
  • ClamAV Antivirus
  • Rootkit Hunter
  • Malware Detect (Maldet)
  • Mod-ruid2

Which would you use?

share|improve this question

put on hold as primarily opinion-based by Michael Hampton yesterday

Many good questions generate some degree of opinion based on expert experience, but answers to this question will tend to be almost entirely based on opinions, rather than facts, references, or specific expertise.If this question can be reworded to fit the rules in the help center, please edit the question.

    
i will never use DA,cPanel,Plesk or any other control panel for any of my servers. –  ADM yesterday